> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# QR Code Verification

> Validate QR code content and issuer authenticity.

<CardGroup cols={1}>
  <Card title="Philsys API Help Page" href="https://docs.idmetagroup.com/resources/philsys-check-via-api">
    Validate QR code content and issuer authenticity.
  </Card>
</CardGroup>


## OpenAPI

````yaml api-reference/government-data/philippines/ph-philsys-qr-verification/qr-code-verification.openapi.json POST /api/v3/verifications/philippines/philsys-qr-check
openapi: 3.0.3
info:
  title: IDmeta API - PH Philsys Qr Verification
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    variables:
      environment-subdomain:
        default: integrate
security:
  - bearerAuth: []
paths:
  /api/v3/verifications/philippines/philsys-qr-check:
    post:
      tags:
        - Government Data
      summary: PH Philsys Qr Verification
      description: Validate QR code content and issuer authenticity.
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer {your_api_token}
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - qr_value
                - trustFlowId
                - trustValidationId
              properties:
                qr_value:
                  type: string
                  description: Raw PhilSys QR value payload as stringified JSON.
                trustFlowId:
                  type: integer
                  description: Trust flow ID for this verification.
                trustValidationId:
                  type: string
                  description: Trust validation ID for this verification.
            example:
              qr_value: >-
                {  "DateIssued": "29 August 2023",  "Issuer": "PSA",  "subject":
                {    "Suffix": "",    "lName": "DELA CRUZ",    "fName":
                "JUAN",    "mName": "ALBAY",    "sex": "Male",    "BF":
                "[1,9]",    "DOB": "May 05, 1982",    "POB": "City of
                Legazpi,Albay",    "PCN": "1234-1234-1234-1234"  },  "alg":
                "EDDSA",  "signature":
                "nCRTOu0zQoGrIy6LALOaVLvI2parP+KzKhI5znIsBz4vRLkzBPcks/pNzIwiIougYUlLfXOT0VuafQtYv+2SAw=="}
              trustFlowId: 0
              trustValidationId: '{your_created_trust_validation_id}'
      responses:
        '200':
          description: QR verification processed successfully
          content:
            application/json:
              example:
                success: true
                message: PhilSys QR Check processed successfully
                data:
                  isValid: true
                  qrValue:
                    DateIssued: '2023-08-29'
                    Issuer: null
                    PCN: <string>
                    POB: <string>
                    DOB: YYYY-MM-DD
                    sex: <string>
                    fName: <string>
                    mName: <string>
                    lName: <string>
                    Suffix: null
                  type: PhilID
                verificationStatus: VERIFIED
                verificationStatusCode: 3
                trustFlowId: 0
                trustValidationId: 9af6e3d7-09c8-489e-806e-d1e67a45a3e3
                verificationType: qr_verification
                metadata: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````